|  | Home · All Classes · Modules

# Phonon.SubtitleDescription Class Reference
[phonon module]

### Methods

- __init__ (self)
- __init__ (self, int index, dict-of-QByteArray-QVariant properties)
- __init__ (self, SubtitleDescription)
- QString description (self)
- int index (self)
- bool isValid (self)
- QString name (self)
- QVariant property (self, str name)
- list-of-QByteArray propertyNames (self)

### Static Methods

- SubtitleDescription fromIndex (int index)

### Special Methods

- bool __eq__ (self, SubtitleDescription otherDescription)
- bool __ne__ (self, SubtitleDescription otherDescription)

## Detailed Description

## Method Documentation

### SubtitleDescription.__init__ (self)

### SubtitleDescription.__init__ (self, int index, dict-of-QByteArray-QVariant properties)

### SubtitleDescription.__init__ (self, SubtitleDescription)

### QString SubtitleDescription.description (self)

### SubtitleDescription SubtitleDescription.fromIndex (int index)

### int SubtitleDescription.index (self)

### bool SubtitleDescription.isValid (self)

### QString SubtitleDescription.name (self)

### QVariant SubtitleDescription.property (self, str name)

### list-of-QByteArray SubtitleDescription.propertyNames (self)

### bool SubtitleDescription.__eq__ (self, SubtitleDescription otherDescription)

### bool SubtitleDescription.__ne__ (self, SubtitleDescription otherDescription)